Subject: Re: bug#46670: 28.0.50; [feature/native-comp] possible miscompilation affecting lsp-mode

From: Pip Cet <[email-masked]>
Date: Sun, 21 Feb 2021 11:56:08 +0000

On Sun, Feb 21, 2021 at 11:51 AM Pip Cet <[email-masked]> wrote:
> Does the attached patch help? Andrea, is my analysis correct?

CCing Andrea.

In more detail, some debugging showed we were trying to intersect a
"nil or t" constraint with a "sequence" constraint, the result being a
null constraint (t is not a sequence). So if (assume (and a b)) was
meant to imply the intersection of a and b, we're emitting it
incorrectly.

Pip